Index: main/kofacustom.koa/trunk/src/kofacustom/koa/students/batching.py
===================================================================
--- main/kofacustom.koa/trunk/src/kofacustom/koa/students/batching.py	(revision 17356)
+++ main/kofacustom.koa/trunk/src/kofacustom/koa/students/batching.py	(revision 17357)
@@ -20,5 +20,5 @@
 from kofacustom.nigeria.students.batching import NigeriaStudentProcessor
 from waeup.kofa.students.batching import StudentOnlinePaymentProcessor
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.koa.students.interfaces import (
     ICustomStudent,
     ICustomStudentUpdateByRegNo,
Index: main/kofacustom.koa/trunk/src/kofacustom/koa/students/browser.py
===================================================================
--- main/kofacustom.koa/trunk/src/kofacustom/koa/students/browser.py	(revision 17356)
+++ main/kofacustom.koa/trunk/src/kofacustom/koa/students/browser.py	(revision 17357)
@@ -42,12 +42,12 @@
     )
 
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.koa.students.interfaces import (
     ICustomStudentOnlinePayment, ICustomStudentStudyCourse,
     ICustomStudentStudyLevel)
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.koa.interfaces import MessageFactory as _
 
 class CustomPaymentsManageFormPage(PaymentsManageFormPage):
     """ Page to manage the student payments. This manage form page is for
-    both students and students officers. SKELETON does not allow students
+    both students and students officers. koa does not allow students
     to remove any payment ticket.
     """
Index: main/kofacustom.koa/trunk/src/kofacustom/koa/students/export.py
===================================================================
--- main/kofacustom.koa/trunk/src/kofacustom/koa/students/export.py	(revision 17356)
+++ main/kofacustom.koa/trunk/src/kofacustom/koa/students/export.py	(revision 17357)
@@ -18,5 +18,5 @@
 """Exporters for student related stuff.
 """
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.koa.students.interfaces import (
     ICustomStudent,
     ICustomStudentStudyCourse,
Index: main/kofacustom.koa/trunk/src/kofacustom/koa/students/interfaces.py
===================================================================
--- main/kofacustom.koa/trunk/src/kofacustom/koa/students/interfaces.py	(revision 17356)
+++ main/kofacustom.koa/trunk/src/kofacustom/koa/students/interfaces.py	(revision 17357)
@@ -25,6 +25,6 @@
     INigeriaStudentUpdateByRegNo, INigeriaStudentUpdateByMatricNo,
     )
-from kofacustom.skeleton.payments.interfaces import ICustomOnlinePayment
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.koa.payments.interfaces import ICustomOnlinePayment
+from kofacustom.koa.interfaces import MessageFactory as _
 
 class ICustomStudentBase(INigeriaStudentBase):
Index: main/kofacustom.koa/trunk/src/kofacustom/koa/students/payments.py
===================================================================
--- main/kofacustom.koa/trunk/src/kofacustom/koa/students/payments.py	(revision 17356)
+++ main/kofacustom.koa/trunk/src/kofacustom/koa/students/payments.py	(revision 17357)
@@ -26,5 +26,5 @@
 from kofacustom.nigeria.students.payments import (
     NigeriaStudentOnlinePayment, NigeriaStudentOnlinePaymentFactory)
-from kofacustom.skeleton.students.interfaces import ICustomStudentOnlinePayment
+from kofacustom.koa.students.interfaces import ICustomStudentOnlinePayment
 
 class CustomStudentOnlinePayment(NigeriaStudentOnlinePayment):
Index: main/kofacustom.koa/trunk/src/kofacustom/koa/students/student.py
===================================================================
--- main/kofacustom.koa/trunk/src/kofacustom/koa/students/student.py	(revision 17356)
+++ main/kofacustom.koa/trunk/src/kofacustom/koa/students/student.py	(revision 17357)
@@ -26,5 +26,5 @@
 from waeup.kofa.utils.helpers import get_current_principal
 from kofacustom.nigeria.students.student import NigeriaStudent
-from kofacustom.skeleton.students.interfaces import ICustomStudent
+from kofacustom.koa.students.interfaces import ICustomStudent
 
 
Index: main/kofacustom.koa/trunk/src/kofacustom/koa/students/studycourse.py
===================================================================
--- main/kofacustom.koa/trunk/src/kofacustom/koa/students/studycourse.py	(revision 17356)
+++ main/kofacustom.koa/trunk/src/kofacustom/koa/students/studycourse.py	(revision 17357)
@@ -27,5 +27,5 @@
 from waeup.kofa.students.workflow import CLEARED, RETURNING, PAID
 from kofacustom.nigeria.students.studycourse import NigeriaStudentStudyCourse
-from kofacustom.skeleton.students.interfaces import ICustomStudentStudyCourse
+from kofacustom.koa.students.interfaces import ICustomStudentStudyCourse
 
 class CustomStudentStudyCourse(NigeriaStudentStudyCourse):
Index: main/kofacustom.koa/trunk/src/kofacustom/koa/students/studylevel.py
===================================================================
--- main/kofacustom.koa/trunk/src/kofacustom/koa/students/studylevel.py	(revision 17356)
+++ main/kofacustom.koa/trunk/src/kofacustom/koa/students/studylevel.py	(revision 17357)
@@ -28,5 +28,5 @@
     CourseTicketFactory, StudentStudyLevelFactory)
 from waeup.kofa.students.interfaces import IStudentNavigation
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.koa.students.interfaces import (
     ICustomStudentStudyLevel, ICustomCourseTicket)
 
Index: main/kofacustom.koa/trunk/src/kofacustom/koa/students/tests/test_browser.py
===================================================================
--- main/kofacustom.koa/trunk/src/kofacustom/koa/students/tests/test_browser.py	(revision 17356)
+++ main/kofacustom.koa/trunk/src/kofacustom/koa/students/tests/test_browser.py	(revision 17357)
@@ -34,5 +34,5 @@
     IExtFileStore, IFileStoreNameChooser)
 from waeup.kofa.students.interfaces import IStudentsUtils
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.koa.testing import FunctionalLayer
 
 
Index: main/kofacustom.koa/trunk/src/kofacustom/koa/students/tests/test_export.py
===================================================================
--- main/kofacustom.koa/trunk/src/kofacustom/koa/students/tests/test_export.py	(revision 17356)
+++ main/kofacustom.koa/trunk/src/kofacustom/koa/students/tests/test_export.py	(revision 17357)
@@ -6,8 +6,8 @@
 from waeup.kofa.students.tests.test_batching import (
     StudentImportExportSetup, curr_year)
-from kofacustom.skeleton.utils.utils import CustomKofaUtils
-from kofacustom.skeleton.students.export import (
+from kofacustom.koa.utils.utils import CustomKofaUtils
+from kofacustom.koa.students.export import (
     CustomStudentExporter, CustomStudentPaymentExporter)
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.koa.testing import FunctionalLayer
 
 
Index: main/kofacustom.koa/trunk/src/kofacustom/koa/students/tests/test_student.py
===================================================================
--- main/kofacustom.koa/trunk/src/kofacustom/koa/students/tests/test_student.py	(revision 17356)
+++ main/kofacustom.koa/trunk/src/kofacustom/koa/students/tests/test_student.py	(revision 17357)
@@ -22,15 +22,15 @@
 from zope.interface import verify
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.skeleton.students.student import CustomStudent, CustomStudentFactory
-from kofacustom.skeleton.students.studycourse import (
+from kofacustom.koa.students.student import CustomStudent, CustomStudentFactory
+from kofacustom.koa.students.studycourse import (
     CustomStudentStudyCourse, CustomStudentStudyCourseFactory)
-from kofacustom.skeleton.students.studylevel import (
+from kofacustom.koa.students.studylevel import (
     CustomStudentStudyLevel, CustomCourseTicket,
     CustomStudentStudyLevelFactory,
     CustomCourseTicketFactory)
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.koa.students.interfaces import (
     ICustomStudent, ICustomStudentStudyCourse,
     ICustomStudentStudyLevel, ICustomCourseTicket)
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.koa.testing import FunctionalLayer
 
 
Index: main/kofacustom.koa/trunk/src/kofacustom/koa/students/utils.py
===================================================================
--- main/kofacustom.koa/trunk/src/kofacustom/koa/students/utils.py	(revision 17356)
+++ main/kofacustom.koa/trunk/src/kofacustom/koa/students/utils.py	(revision 17357)
@@ -21,5 +21,5 @@
     CLEARED, RETURNING, PAID, REGISTERED, VALIDATED)
 from kofacustom.nigeria.students.utils import NigeriaStudentsUtils
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.koa.interfaces import MessageFactory as _
 
 class CustomStudentsUtils(NigeriaStudentsUtils):
Index: main/kofacustom.koa/trunk/src/kofacustom/koa/students/viewlets.py
===================================================================
--- main/kofacustom.koa/trunk/src/kofacustom/koa/students/viewlets.py	(revision 17356)
+++ main/kofacustom.koa/trunk/src/kofacustom/koa/students/viewlets.py	(revision 17357)
@@ -20,5 +20,5 @@
 from waeup.kofa.interfaces import REQUESTED
 from waeup.kofa.browser.viewlets import ManageActionButton
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.koa.students.interfaces import (
     ICustomStudentStudyCourse, ICustomStudentStudyLevel)
 from waeup.kofa.students.fileviewlets import (