Index: main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools_tpu.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools_tpu.py	(revision 17372)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools_tpu.py	(revision 17375)
@@ -51,5 +51,4 @@
     'tpu0053': ('Zone 01','Otite, Ogaminana, Obangede','Royal Star N/P School, Eika Adagu'),
     'tpu0054': ('Zone 01','Otite, Ogaminana, Obangede','Stellar Minds International Academy, Nagazi, Along mama Governor\'s road'),
-    'tpu0055': ('Zone 01','Otite, Ogaminana, Obangede','Seat of Wisdom international school, behind Royiza filling station, Otite'),
     'tpu0056': ('Zone 01','Otite, Ogaminana, Obangede','Sheffiyat Sunshine N/Pry, Eika Adagu'),
     'tpu0057': ('Zone 01','Otite, Ogaminana, Obangede','Shining Star Academy, Nagazi Uvete'),
@@ -255,5 +254,4 @@
     'tpu2056': ('Zone 01','Otite, Ogaminana, Obangede','Ebenezer Model Nur/Primary School, Nagazi Eba'),
     'tpu2057': ('Zone 01','Otite, Ogaminana, Obangede','Gloryland academy, beside ochuda guest house, kabba junction adavi l.g.a., kogi state'),
-    'tpu2058': ('Zone 01','Otite, Ogaminana, Obangede','Gods Favour Group of Schools Eika Adagu, behind GSSS Ogaminana'),
     'tpu2059': ('Zone 01','Otite, Ogaminana, Obangede','Goodies Stardard Nur/Pri School, beside Audu Wokili Academy, Nagazi Uvete'),
     'tpu2060': ('Zone 01','Otite, Ogaminana, Obangede','L G E A Primary school, Abobo okehi l g a, kogi state'),
@@ -324,3 +322,29 @@
     'tpu2120': ('Zone 10','Iyara-Omuo','Model ILGEA Primary School, Ekinrin Adde'),
     'tpu2121': ('Zone 08','Ikare','Iye Schools, Irun Akoko, Ondo State'),
+
+     # additional schools added 24/03/23
+    'tpu2122': ('Zone 10','Iyara-Omuo','UBE/JSS IYAMOYE, KOGI STATE'),
+    'tpu2123': ('Zone 09','Mopa Isanlu','AMAZING GRACE CHRISTIAN ACADEMY, TAKETE ISAO, YAGBA EAST LOCAL GOVERNMENT AREA, KOGI STATE'),
+    'tpu2124': ('Zone 08','Ikare','AJUTA HIGH SCHOOL OGBAGI-AKOKO, ONDO STATE'),
+    'tpu2125': ('Zone 15','Okpella-Auchi','AUCHI COMPREHENSIVE HIGH SCHOOL JUNIOR SECONDARY SCHOOL, EDO STATE'),
+    'tpu2126': ('Zone 01','Otite, Ogaminana, Obangede','RIGHT PATH MODEL ACADEMY OZOKUTU ADAVI LGA , OPPOSITE ADAVI SECRETARIAT,KOGI STATE'),
+    'tpu2127': ('zone 05','Adogo Ajaokuta','DOMINION COMPREHENSIVE COLLEGE, ADOGO, KOGI STATE'),
+    'tpu2128': ('zone 05','Adogo Ajaokuta','COMMUNITY COMPREHENSIVE HIGH SCHOOL,EGANYI, KOGI STATE'),
+    'tpu2129': ('Zone 08','Ikare','VICTORIA SCHOOLS, SHOYE\'S PLACE, AYEDARA STREET, EMURE ROAD, SUPARE AKOKO, ONDO STATE'),
+    'tpu2130': ('Zone 06','Magongo/Ibilo','HOLY CROSS CATHOLIC NURSERY AND PRIMARY SCHOOL, IMOGA, AKOKO EDO, EDO STATE'),
+    'tpu2131': ('zone 05','Adogo Ajaokuta','RUHUL ISLAM NERSERY, PRIMARY AND SECONDARY SCHOOL, NO 63,OBALOWO II COMPOUND,BADODO-EGANYI, ADOGO,AJAOKUTA LGA, KOGI STATE'),
+    'tpu2132': ('Zone 08','Ikare','GIFTED ACADEMY NURSERY AND PRIMARY SCHOOL,ESHE STREET,IKARE-AKOKO, ONDO STATE'),
+    'tpu2133': ('Zone 08','Ikare','IYAMOYE COMPREHENSIVE HIGH SCHOOL, ESE AKOKO, ONDO STATE'),
+    'tpu2134': ('Zone 10','Iyara-Omuo','AUD ILGEA SCHOOL, IYAMOYE, IJUMU LGA, KOGI STATE'),
+    'tpu2135': ('Zone 11','Lokoja','MARVELOUS ACADEMY SCHOOL: NURSERY, PRIMARY AND SECONDARY OBAJANA, LOKOJA, KOGI STATE'),
+    'tpu2136': ('Zone 15','Okpella-Auchi','ESTAKO PRIMARY SCHOOL, AUCHI'),
+    'tpu2137': ('Zone 08','Ikare','COMMUNITY COMPREHENSIVE HIGH SCHOOL, IKARAM-AKOKO, ONDO STATE'),
+    'tpu2138': ('Zone 03','Kuroko-Inoziomi-GRA','DIVINE INTERNATIONAL SCHOOL, GRA OKENE, KOGI STATE'),
+    'tpu2139': ('Zone 03','Kuroko-Inoziomi-GRA','DIVINE SECONDARY SCHOOL INOZIOMI, OKENE, KOGI STATE'),
+    'tpu2140': ('Zone 07','Kabba Aiyetoro Gbedde','UBE/JSS1, AYEGUNLE GBEDE, IJUMU LGEA, KOGI STATE'),
+    'tpu2141': ('Zone 07','Kabba Aiyetoro Gbedde','UBE/JSS2, AYEGUNLE GBEDE, IJUMU LGEA, KOGI STATE'),
+    'tpu2142': ('Zone 07','Kabba Aiyetoro Gbedde','AI NO 1 LGEA SCHOOL AYEGUNLE GBEDE, IJUMU LGEA, KOGI STATE'),
+    'tpu2143': ('Zone 07','Kabba Aiyetoro Gbedde','AI NO 2 LGEA SCHOOL AYEGUNLE GBEDE,IJUMU LGEA KOGI STATE'),
+    'tpu2144': ('Zone 08','Ikare','TOP-MOST MODEL COLLEGE EKAN-ILE, IKARE AKOKO, ONDO STATE'),
+    'tpu2145': ('Zone 04','Okengwe Ihima','HOLY-FLOCK OF CHRIST NURSERY AND PRIMARY SCHOOL OBOROKE IHIMA, KOGI STATE'),
     }