Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/interswitch/browser.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/interswitch/browser.py	(revision 17379)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/interswitch/browser.py	(revision 17380)
@@ -19,4 +19,5 @@
 import hashlib
 import grok
+import decimal
 from kofacustom.nigeria.interswitch.browser import (
     module_activated,
@@ -97,5 +98,5 @@
         xmldict['institution_item_name'] = self.context.category
         xmldict['institution_name'] = INSTITUTION_NAME
-        xmldict['institution_amt'] = 100 * self.context.net_amt
+        xmldict['institution_amt'] = 100*int(decimal.Decimal(str(self.context.net_amt)))
         if not self.context.provider_amt:
             self.context.provider_amt = provider_amt
@@ -116,10 +117,10 @@
         self.xml_data = """<input type="hidden" name="xml_data" value='%s'  />""" % xmltext
         self.context.provider_amt = provider_amt
-        self.amount_auth = int(100 * self.context.amount_auth)
+        self.amount_auth = 100*int(decimal.Decimal(str(self.context.amount_auth)))
         hashargs = (
             self.context.p_id +
             PRODUCT_ID +
             self.pay_item_id +
-            str(int(self.amount_auth)) +
+            str(self.amount_auth) +
             self.site_redirect_url +
             self.mac)
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/interswitch/tests.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/interswitch/tests.py	(revision 17379)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/interswitch/tests.py	(revision 17380)
@@ -94,5 +94,5 @@
                            self.browser.contents)
         self.assertTrue(
-            '<span>26400.0</span>' in self.browser.contents)
+            '<span>27800.0</span>' in self.browser.contents)
         self.payment_url = self.browser.url
         self.browser.getLink("Pay via Interswitch CollegePAY", index=0).click()
@@ -101,8 +101,8 @@
         self.assertEqual(self.student.current_mode, 'ug_ft')
         self.assertTrue(
-            '<input type="hidden" name="amount" value="2670000" />' in
-            self.browser.contents)
-        self.assertTrue(
-            'item_name="School Fee (66% - 1st instalment)" item_amt="2640000" bank_id="31" acct_num="1489560452"' in
+            '<input type="hidden" name="amount" value="2810000" />' in
+            self.browser.contents)
+        self.assertTrue(
+            'item_name="School Fee (69.5% - 1st instalment)" item_amt="2780000" bank_id="31" acct_num="1489560452"' in
             self.browser.contents)
 
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/utils.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/utils.py	(revision 17379)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/utils.py	(revision 17380)
@@ -85,7 +85,7 @@
                 if category == 'secondinstal':
                     if student.is_fresh:
-                        amount = 0.34 * getattr(certificate, 'school_fee_1', 0.0)
+                        amount = 0.305 * getattr(certificate, 'school_fee_1', 0.0)
                     else:
-                        amount = 0.34 * getattr(certificate, 'school_fee_2', 0.0)
+                        amount = 0.305 * getattr(certificate, 'school_fee_2', 0.0)
                 if student.state == CLEARED:
                     amount = getattr(certificate, 'school_fee_1', 0.0)
@@ -114,5 +114,5 @@
                             ), None                    
                 if category == 'schoolfee_1':
-                    amount *= 0.66
+                    amount *= 0.695
         elif category == 'clearance':
             try:
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/utils/utils.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/utils/utils.py	(revision 17379)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/utils/utils.py	(revision 17380)
@@ -57,6 +57,6 @@
     PAYMENT_CATEGORIES = {
         'schoolfee': 'School Fee (total amount)',
-        'schoolfee_1': 'School Fee (66% - 1st instalment)',
-        'secondinstal': 'School Fee (34% - 2nd instalment)',
+        'schoolfee_1': 'School Fee (69.5% - 1st instalment)',
+        'secondinstal': 'School Fee (30.5% - 2nd instalment)',
         'clearance': 'Acceptance Fee',
         'hostel':'Hostel Fee (1st instalment)',
@@ -76,6 +76,6 @@
     SELECTABLE_PAYMENT_CATEGORIES = {
         'schoolfee': 'School Fee (total amount)',
-        'schoolfee_1': 'School Fee (66% - 1st instalment)',
-        'secondinstal': 'School Fee (34% - 2nd instalment)',
+        'schoolfee_1': 'School Fee (69.5% - 1st instalment)',
+        'secondinstal': 'School Fee (30.5% - 2nd instalment)',
         'hostel':'Hostel Fee (1st instalment)',
         'hostel_2':'Hostel Fee (2nd instalment)',