Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_ug.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_ug.py	(revision 17403)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_ug.py	(revision 17404)
@@ -20,19 +20,19 @@
 
 ADML_UG_2_MEDICAL = """
-niversity opens for fresh students on Saturday, 24th September, 2022. All newly admitted students are expected to resume on that date.
+University opens for fresh students on Saturday, 23rd September, 2023. All newly admitted students are expected to resume on that date.
 
-Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Monday, 26th September, 2022 - Friday, 30th September, 2022. A late registration fee of N50,000 will be charged after this date. All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
+Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Monday, 25th September, 2023 - Friday, 29th September, 2023. A late registration fee of N50,000 will be charged after this date. All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
 """
 
 ADML_UG_2_PHARMACY = """
-Resumption Date: The University opens for fresh students on Saturday, 24th September, 2022. All newly admitted students are expected to resume on that date.
+Resumption Date: The university opens for fresh students on Saturday, 23rd September, 2023. All newly admitted students are expected to resume on that date.
 
-Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Monday, 26th September, 2022 - Friday, 30th September, 2022. A late registration fee of N50,000 will be charged after this date. All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false. 
+Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Monday, 25th September, 2023 - Friday, 29th September, 2023. A late registration fee of N50,000 will be charged after this date. All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
 """
 
 ADML_UG_2 = """
-Resumption Date: The University opens for fresh students on Saturday, 24th September, 2022. All newly admitted students are expected to resume on that date. 
+Resumption Date: The University opens for fresh students on Saturday, 23rd September, 2023. All newly admitted students are expected to resume on that date.
 
-Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Monday, 26th September, 2022 - Friday, 30th September, 2022.A late registration fee of N50,000 will be charged after this date. All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
+Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Monday, 25th September, 2023 - Friday, 29th September, 2023. 2022.A late registration fee of N50,000 will be charged after this date. All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
 """
 
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/tests/test_browser.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/tests/test_browser.py	(revision 17403)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/tests/test_browser.py	(revision 17404)
@@ -221,4 +221,25 @@
         open(path, 'wb').write(self.browser.contents)
         print "Sample PDF UG admission_slip.pdf written to %s" % path
+
+        self.certificate.code = 'MBBS'
+        self.browser.open(self.student_path)
+        self.browser.getLink("Base Data").click()
+        self.browser.getLink("Download admission letter").click()
+        self.assertEqual(self.browser.headers['Status'], '200 Ok')
+        self.assertEqual(self.browser.headers['Content-Type'], 'application/pdf')
+        path = os.path.join(samples_dir(), 'mbbs_admission_slip.pdf')
+        open(path, 'wb').write(self.browser.contents)
+        print "Sample PDF mbbs_admission_slip.pdf written to %s" % path
+
+        self.certificate.code = 'LAW'
+        self.browser.open(self.student_path)
+        self.browser.getLink("Base Data").click()
+        self.browser.getLink("Download admission letter").click()
+        self.assertEqual(self.browser.headers['Status'], '200 Ok')
+        self.assertEqual(self.browser.headers['Content-Type'], 'application/pdf')
+        path = os.path.join(samples_dir(), 'law_admission_slip.pdf')
+        open(path, 'wb').write(self.browser.contents)
+        print "Sample PDF law_admission_slip.pdf written to %s" % path
+
         self.certificate.study_mode = 'pg_ft'
         self.browser.open(self.student_path)
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/viewlets.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/viewlets.py	(revision 17403)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/viewlets.py	(revision 17404)
@@ -33,5 +33,5 @@
 from waeup.kofa.students.viewlets import (
     AddPreviousPaymentActionButton, AddBalancePaymentActionButton,
-    StudentPersonalEditActionButton)
+    StudentPersonalEditActionButton, AdmissionSlipActionButton)
 
 from kofacustom.nigeria.interfaces import MessageFactory as _
@@ -93,4 +93,12 @@
         #if not self.context.is_fresh:
         #    return ''
+        return self.view.url(self.view.context, self.target)
+
+class AdmissionSlipActionButton(AdmissionSlipActionButton):
+
+    @property
+    def target_url(self):
+        if not self.context.is_fresh:
+            return ''
         return self.view.url(self.view.context, self.target)
 