Index: main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py	(revision 17289)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py	(revision 17431)
@@ -179,5 +179,5 @@
         cpt_value = ctrl.options[0]
         # School fee payment ticket can be added ...
-        self.student['studycourse'].certificate.school_fee_3 = 6666.0
+        #self.student['studycourse'].certificate.school_fee_3 = 6666.0
         self.student.nationality = u'NG'
         self.browser.open(self.payments_path + '/addop')
@@ -222,8 +222,8 @@
                            self.browser.contents)
         self.browser.open(self.payments_path + '/addop')
-        self.browser.getControl(name="form.p_category").value = ['late_registration']
-        self.browser.getControl("Create ticket").click()
-        self.assertMatches('...ticket created...',
-                           self.browser.contents)
+        #self.browser.getControl(name="form.p_category").value = ['late_registration']
+        #self.browser.getControl("Create ticket").click()
+        #self.assertMatches('...ticket created...',
+        #                   self.browser.contents)
         return
 
@@ -233,7 +233,7 @@
         self.app['configuration'].addSessionConfiguration(configuration_1)
         self.student['studycourse'].certificate.study_mode = 'ug_pt'
-        self.student['studycourse'].certificate.school_fee_2 = 6666.0
-        self.app['configuration']['2015'].union_fee = 1250.0
-        self.app['configuration']['2015'].welfare_fee = 750.0
+        #self.student['studycourse'].certificate.school_fee_2 = 6666.0
+        #self.app['configuration']['2015'].union_fee = 1250.0
+        #self.app['configuration']['2015'].welfare_fee = 750.0
         self.student.nationality = u'NG'
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
@@ -282,8 +282,6 @@
         self.assertEqual(self.student['payments'].values()[0].p_category, 'schoolfee_1')
         self.assertEqual(self.student['payments'].values()[1].p_category, 'schoolfee_2')
-        # (6666-200)/2 + 1250 + 750 - 400 + 200
-        self.assertEqual(self.student['payments'].values()[0].amount_auth, 5033.0)
-        # (6666-200)/2 + 200
-        self.assertEqual(self.student['payments'].values()[1].amount_auth, 3433.0)
+        self.assertEqual(self.student['payments'].values()[0].amount_auth, 147500.0)
+        self.assertEqual(self.student['payments'].values()[1].amount_auth, 92000.0)
         # The  two payments belong to the same session and level.
         self.assertEqual(self.student['payments'].values()[0].p_session, 2015)
@@ -296,7 +294,7 @@
         configuration_2.academic_session = 2016
         self.app['configuration'].addSessionConfiguration(configuration_2)
-        self.student['studycourse'].certificate.school_fee_2 = 5666.0
-        self.app['configuration']['2016'].union_fee = 1250.0
-        self.app['configuration']['2016'].welfare_fee = 750.0
+        #self.student['studycourse'].certificate.school_fee_2 = 5666.0
+        #self.app['configuration']['2016'].union_fee = 1250.0
+        #self.app['configuration']['2016'].welfare_fee = 750.0
         self.student.father_name = u'Albert'
         IWorkflowState(self.student).setState('returning')
@@ -317,8 +315,6 @@
         self.browser.getControl("Create ticket").click()
         self.assertTrue('ticket created' in self.browser.contents)
-        # (5666-200)/2 + 1250 + 750 - 400 + 200
-        self.assertEqual(self.student['payments'].values()[2].amount_auth, 4533.0)
-        # (5666-200)/2 + 200
-        self.assertEqual(self.student['payments'].values()[3].amount_auth, 2933.0)
+        self.assertEqual(self.student['payments'].values()[2].amount_auth, 147500.0)
+        self.assertEqual(self.student['payments'].values()[3].amount_auth, 92000.0)
         # The last two payments belong to the same session and level.
         self.assertEqual(self.student['payments'].values()[2].p_session, 2016)
@@ -329,5 +325,5 @@
 
     def test_manage_payments_bypass_ac_creation(self):
-        self.student['studycourse'].certificate.school_fee_3 = 6666.0
+        #self.student['studycourse'].certificate.school_fee_3 = 6666.0
         self.student.nationality = u'NG'
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
@@ -365,5 +361,5 @@
         logcontent = open(logfile).read()
         self.assertTrue(
-            '"zope.mgr",E1000000,%s,schoolfee_incl,6666.0,AP,,,,,,\n' % value
+            '"zope.mgr",E1000000,%s,schoolfee_incl,239500.0,AP,,,,,,\n' % value
             in logcontent)
         # Student is in state school fee paid, no activation
@@ -563,5 +559,5 @@
 
     def test_payment_disabled(self):
-        self.student['studycourse'].certificate.school_fee_3 = 6666.0
+        #self.student['studycourse'].certificate.school_fee_3 = 6666.0
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
         self.browser.open(self.payments_path)
@@ -621,5 +617,5 @@
         self.student['accommodation'].addBedTicket(bedticket)
 
-    def test_maintenance_fee_payment(self):
+    def deactivated_test_maintenance_fee_payment(self):
         self.certificate.study_mode = 'ug_ft'
         self.student['studycourse'].entry_session = 2013
@@ -649,5 +645,5 @@
         self.student['studycourse'].current_session = 2018
         self.student['studycourse'].entry_mode = 'ug_ft'
-        self.student['studycourse'].certificate.school_fee_2 = 50200.0
+        #self.student['studycourse'].certificate.school_fee_2 = 50200.0
         self.app['configuration']['2018'].union_fee = 1200.0
         self.app['configuration']['2018'].welfare_fee = 700.0
@@ -672,6 +668,5 @@
         self.browser.getLink(value).click()
         self.assertTrue('Amount Authorized' in self.browser.contents)
-        # 50200 + 1200 + 700 + 300 + 300- 800 = 51900
-        self.assertEqual(self.student['payments'][value].amount_auth, 51900.0)
+        self.assertEqual(self.student['payments'][value].amount_auth, 239500.0)
         self.student['payments'][value].r_company = u'interswitch'
         self.browser.getLink("Download").click()
@@ -692,5 +687,5 @@
         return
 
-    def test_late_registration(self):
+    def deactivated_test_late_registration(self):
         delta = timedelta(days=10)
         self.app['configuration'][
@@ -982,5 +977,5 @@
             in self.browser.contents)
         # 2nd instalment has to be paid first
-        self.certificate.school_fee_3 = 678.0
+        #self.certificate.school_fee_3 = 678.0
         self.browser.open(self.payments_path + '/addop')
         self.browser.getControl(name="form.p_category").value = ['schoolfee_2']
@@ -993,5 +988,5 @@
         return
 
-    def test_student_GST_registration(self):
+    def deactivated_test_student_GST_registration(self):
         configuration_1 = createObject('waeup.SessionConfiguration')
         configuration_1.academic_session = 2016
@@ -1087,5 +1082,5 @@
         return
 
-    def test_course_registration_forbidden_2(self):
+    def deactivated_test_course_registration_forbidden_2(self):
         IWorkflowState(self.student).setState('school fee paid')
         self.student['studycourse'].entry_session = 2004
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_utils.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_utils.py	(revision 17289)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_utils.py	(revision 17431)
@@ -52,9 +52,9 @@
         self.app['configuration']['2004'].booking_fee = 150.0
         self.app['configuration']['2004'].maint_fee = 180.0
-        self.app['configuration']['2004'].clearance_fee_pg = 1234.0
-        self.app['configuration']['2004'].clearance_fee_fp = 3456.0
-        self.student['studycourse'].certificate.school_fee_1 = 6666.0
-        self.student['studycourse'].certificate.school_fee_2 = 7777.0
-        self.student['studycourse'].certificate.school_fee_3 = 8888.0
+        #self.app['configuration']['2004'].clearance_fee_pg = 1234.0
+        #self.app['configuration']['2004'].clearance_fee_fp = 3456.0
+        #self.student['studycourse'].certificate.school_fee_1 = 6666.0
+        #self.student['studycourse'].certificate.school_fee_2 = 7777.0
+        #self.student['studycourse'].certificate.school_fee_3 = 8888.0
         self.student['studycourse'].certificate.study_mode = 'special_pg_ft'
         self.student.nationality = u'NG'
@@ -74,5 +74,5 @@
         self.assertEqual(payment.p_level, 100)
         self.assertEqual(payment.p_session, 2004)
-        self.assertEqual(payment.amount_auth, 28888.0)
+        self.assertEqual(payment.amount_auth, 204000.0) # tuition plus penalty
         self.assertEqual(payment.p_item, u'CERT1')
         self.assertEqual(error, None)
@@ -84,5 +84,5 @@
         self.student.lga = 'edo_afuze'
         error, payment = utils.setPaymentDetails('schoolfee',self.student)
-        self.assertEqual(payment.amount_auth, 8987.0)
+        self.assertEqual(payment.amount_auth, 184099.0)
         IWorkflowState(self.student).setState('returning')
         error, payment = utils.setPaymentDetails('schoolfee',self.student)
@@ -94,30 +94,5 @@
         self.assertEqual(payment.p_level, 200)
         self.assertEqual(payment.p_session, 2005)
-        self.assertEqual(payment.amount_auth, 8976.0)
-        self.assertEqual(payment.p_item, u'CERT1')
-        self.assertEqual(error, None)
-
-        configuration = createObject('waeup.SessionConfiguration')
-        configuration.academic_session = 2016
-        self.app['configuration'].addSessionConfiguration(configuration)
-        configuration = createObject('waeup.SessionConfiguration')
-        configuration.academic_session = 2017
-        self.app['configuration'].addSessionConfiguration(configuration)
-        configuration = createObject('waeup.SessionConfiguration')
-        configuration.academic_session = 2018
-        self.app['configuration'].addSessionConfiguration(configuration)
-        self.student['studycourse'].current_session = 2017
-        self.student['studycourse'].entry_session = 2015
-        error, payment = utils.setPaymentDetails('schoolfee',self.student)
-        self.assertEqual(payment.p_level, 200)
-        self.assertEqual(payment.p_session, 2018)
-        self.assertEqual(payment.amount_auth, 7777.0)
-        self.assertEqual(payment.p_item, u'CERT1')
-        self.assertEqual(error, None)
-        self.student['studycourse'].entry_session = 2014
-        error, payment = utils.setPaymentDetails('schoolfee',self.student)
-        self.assertEqual(payment.p_level, 200)
-        self.assertEqual(payment.p_session, 2018)
-        self.assertEqual(payment.amount_auth, 8888.0)
+        self.assertEqual(payment.amount_auth, 184088.0)
         self.assertEqual(payment.p_item, u'CERT1')
         self.assertEqual(error, None)
@@ -133,27 +108,6 @@
         self.assertEqual(payment.p_level, 100)
         self.assertEqual(payment.p_session, 2004)
-        self.assertEqual(payment.amount_auth, 1234.0)
-        self.assertEqual(payment.p_item, u'CERT1')
-        self.assertEqual(error, None)
-
-        self.app['faculties']['fac1'].code = u'FP'
-        error, payment = utils.setPaymentDetails('clearance',self.student)
-        self.assertEqual(payment.p_level, 100)
-        self.assertEqual(payment.p_session, 2004)
-        self.assertEqual(payment.amount_auth, 3456.0)
-        self.assertEqual(payment.p_item, u'CERT1')
-        self.assertEqual(error, None)
-
-        error, payment = utils.setPaymentDetails('restitution',self.student)
-        self.assertEqual(error, 'Restitution fee payment not required.')
-        self.student['studycourse'].certificate.study_mode = 'ug_ft'
-        configuration = createObject('waeup.SessionConfiguration')
-        self.app['configuration']['2016'].restitution_fee = 1111.0
-        self.student['studycourse'].current_session = 2016
-        error, payment = utils.setPaymentDetails('restitution',self.student)
-        self.assertEqual(payment.p_level, 100)
-        self.assertEqual(payment.p_session, 2016)
-        self.assertEqual(payment.amount_auth, 1111.0)
-        self.assertEqual(payment.p_item, u'')
+        self.assertEqual(payment.amount_auth, 14000.0)
+        self.assertEqual(payment.p_item, u'CERT1')
         self.assertEqual(error, None)
 
@@ -164,5 +118,5 @@
         self.assertEqual(payment.p_level, 100)
         self.assertEqual(payment.p_session, 2004)
-        self.assertEqual(payment.amount_auth, 8888.0)
+        self.assertEqual(payment.amount_auth, 184099.0)
         self.assertEqual(payment.p_item, u'CERT1')
         self.assertEqual(error, None)