Index: /main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py	(revision 17436)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py	(revision 17437)
@@ -56,16 +56,31 @@
 
 BANK_ACCOUNTS = {
-    'edohis':   ('1222577132', '117', 'Edo State Health Insurance'),
-    'union':    ('1019763348', '7', 'Student Union'),
-    'sport':    ('1021941220', '7', 'Sport Development'),
-    'access':   ('1012688013', '123', 'Access Card'),
-    'notebook': ('4011210501', '51', 'Branded Notebook'),
-    'library':  ('2000122995', '8', 'Library Development'),
-    'fac1':     ('1022438743', '7', 'Faculty Fee'),
-    'fac2':     ('2000249757', '8', 'Faculty Fee'),
-    'fac3':     ('1012678566', '123', 'Faculty Fee'),
-    'acceptance': ('2000249757', '8', 'Acceptance Fee'),
-    'matricgown': ('2000249757', '8', 'Matriculation Gown Fee'),
-    'lapel':      ('2000249757', '8', 'Lapel Fee'),
+    'edohis':   ('1222577132', '117'),
+    'union':    ('1019763348', '7'),
+    'sport':    ('1021941220', '7'),
+    'access':   ('1012688013', '123'),
+    'notebook': ('4011210501', '51'),
+    'library':  ('2000122995', '8'),
+    'fac1':     ('1022438743', '7'),
+    'fac2':     ('2000249757', '8'),
+    'fac3':     ('1012678566', '123'),
+    'acceptance': ('2000249757', '8'),
+    'matricgown': ('2000249757', '8'),
+    'lapel':      ('2000249757', '8'),
+    }
+
+FEE_NAMES = {
+    'edohis':     'Edo State Health Insurance Scheme',
+    'union':      'Student Union Dues',
+    'sport':      'Sport Development Fee',
+    'access':     'Access Card Fee',
+    'notebook':   'Branded Notebook',
+    'library':    'Library Development Fee',
+    'tuition':    'Tuition',
+    'acceptance': 'Acceptance Fee',
+    'matricgown': 'Matriculation Gown Fee',
+    'lapel':      'File-Lapel Fee',
+    'lmsplus':    'LMS Plus Fee',
+    'nuga':       'NUGA Fee',
     }
 
@@ -263,5 +278,5 @@
                         acct_num = bank[0]
                         bank_id = bank[1]
-                        item_name = "%s (%s)" % (bank[2], item[0])
+                        item_name = FEE_NAMES[item[0]]
                         xmltext += """
 <item_detail item_id="%s" item_name="%s" item_amt="%d" bank_id="%s" acct_num="%s" />""" % (item_id, item_name, item_amt, bank_id, acct_num)
@@ -300,5 +315,5 @@
                         acct_num = bank[0]
                         bank_id = bank[1]
-                        item_name = "%s (%s)" % (bank[2], item[0])
+                        item_name = FEE_NAMES[item[0]]
                         xmltext += """
 <item_detail item_id="%s" item_name="%s" item_amt="%d" bank_id="%s" acct_num="%s" />""" % (item_id, item_name, item_amt, bank_id, acct_num)
Index: /main/waeup.aaue/trunk/src/waeup/aaue/interswitch/tests.py
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/interswitch/tests.py	(revision 17436)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/interswitch/tests.py	(revision 17437)
@@ -268,5 +268,5 @@
             in self.browser.contents)
         self.assertTrue(
-            'item_name="Faculty Fee (tuition)" item_amt="18400000" bank_id="7" '
+            'item_name="Tuition" item_amt="18400000" bank_id="7" '
             'acct_num="1022438743"' in self.browser.contents)
 
@@ -291,5 +291,5 @@
             in self.browser.contents)
         self.assertTrue(
-            'item_name="School Fee (2nd instalment)" item_amt="9200000" bank_id="7" acct_num="1022438743"' in self.browser.contents)
+            'item_name="Tuition (2nd instalment)" item_amt="9200000" bank_id="7" acct_num="1022438743"' in self.browser.contents)
 
         self.browser.open(self.payments_path + '/addop')
@@ -305,7 +305,7 @@
             in self.browser.contents)
         self.assertTrue(
-            'item_name="Faculty Fee (lmsplus)" item_amt="2000000" bank_id="7" acct_num="1022438743"' in self.browser.contents)
-        self.assertTrue(
-            'item_name="Faculty Fee (tuition)" item_amt="9200000" bank_id="7" acct_num="1022438743"' in self.browser.contents)
+            'item_name="LMS Plus Fee" item_amt="2000000" bank_id="7" acct_num="1022438743"' in self.browser.contents)
+        self.assertTrue(
+            'item_name="Tuition" item_amt="9200000" bank_id="7" acct_num="1022438743"' in self.browser.contents)
 
         self.browser.open(self.payments_path + '/addop')
@@ -321,5 +321,5 @@
             in self.browser.contents)
         self.assertTrue(
-            'item_name="School Fee (2nd instalment)" item_amt="9200000" bank_id="7" acct_num="1022438743"' in self.browser.contents)
+            'item_name="Tuition (2nd instalment)" item_amt="9200000" bank_id="7" acct_num="1022438743"' in self.browser.contents)
 
     def disabled_test_interswitch_form_pt_acceptance_fees(self):
@@ -372,5 +372,5 @@
         self.assertTrue(self.student['payments'].values()[0].net_amt == 16800)
         self.assertTrue(
-            'item_name="Acceptance Fee (acceptance)" item_amt="1400000" bank_id="8" '
+            'item_name="Acceptance Fee" item_amt="1400000" bank_id="8" '
             'acct_num="2000249757"' in self.browser.contents)
 
Index: /main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py	(revision 17436)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py	(revision 17437)
@@ -38,8 +38,8 @@
 
     PAYMENT_CATEGORIES = {
-        'schoolfee': 'School Fee',
-        'schoolfee_1': 'School Fee Plus (1st instalment)',
-        'schoolfee_2': 'School Fee (2nd instalment)',
-        'schoolfee_incl': 'School Fee Plus',
+        'schoolfee': 'Tuition',
+        'schoolfee_1': 'Tuition Plus (1st instalment)',
+        'schoolfee_2': 'Tuition (2nd instalment)',
+        'schoolfee_incl': 'Tuition Plus',
         'clearance': 'Acceptance Fee',
         'clearance_incl': 'Acceptance Fee Plus',
@@ -87,8 +87,8 @@
 
     SELECTABLE_PAYMENT_CATEGORIES = {
-        'schoolfee': 'School Fee without additional fees',
-        'schoolfee_1': 'School Fee (1st instalment) incl. additional fees',
-        'schoolfee_2': 'School Fee (2nd instalment)',
-        'schoolfee_incl': 'School Fee incl. additional fees',
+        'schoolfee': 'Tuition without additional fees',
+        'schoolfee_1': 'Tuition incl. additional fees (1st instalment)',
+        'schoolfee_2': 'Tuition (2nd instalment)',
+        'schoolfee_incl': 'Tuition incl. additional fees',
         'clearance': 'Acceptance Fee without additional fees',
         'clearance_incl': 'Acceptance Fee incl. additional fees',
@@ -140,5 +140,5 @@
     REDUCED_PAYMENT_CATS =  {
         'clearance': 'Acceptance Fee',
-        'schoolfee': 'School Fee',
+        'schoolfee': 'Tuition',
         ##'late_registration': 'Late Course Registration Fee',
         ##'sports': 'Sports Fee',
@@ -150,7 +150,7 @@
     IJMBE_PAYMENT_CATS =  {
         'clearance': 'Acceptance Fee',
-        'schoolfee': 'School Fee',
-        'schoolfee_1': 'School Fee (1st instalment)',
-        'schoolfee_2': 'School Fee (2nd instalment)',
+        'schoolfee': 'Tuition',
+        'schoolfee_1': 'Tuition (1st instalment)',
+        'schoolfee_2': 'Tuition (2nd instalment)',
         ##'sports': 'Sports Fee',
         ##'library': 'UG Library Fee',
@@ -162,5 +162,5 @@
     PT_AND_DSH_PAYMENT_CATS =  {
         'clearance_incl': 'Acceptance Fee Plus',
-        'schoolfee_incl': 'School Fee Plus',
+        'schoolfee_incl': 'Tuition Plus',
         ##'ent_text_book_1': 'Text Book Fee ENT201',
         ##'ent_text_book_2': 'Text Book Fee ENT211',
@@ -199,8 +199,8 @@
 
     REPORTABLE_PAYMENT_CATEGORIES = {
-        'schoolfee': 'School Fee',
-        'schoolfee_incl': 'School Fee Plus',
-        'schoolfee_1': 'School Fee 1 Plus',
-        'schoolfee_2': 'School Fee 2',
+        'schoolfee': 'Tuition',
+        'schoolfee_incl': 'Tuition Plus',
+        'schoolfee_1': 'Tuition 1 Plus',
+        'schoolfee_2': 'Tuition 2',
         'clearance': 'Acceptance Fee',
         'clearance_incl': 'Acceptance Fee Plus',
@@ -211,5 +211,5 @@
 
     XXXBALANCE_PAYMENT_CATEGORIES = {
-        'schoolfee': 'School Fee',
+        'schoolfee': 'Tuition',
         'clearance': 'Acceptance Fee',
         'hostel_maintenance': 'Hostel Maintenance Fee',
@@ -238,5 +238,5 @@
 
     PREVIOUS_PAYMENT_CATEGORIES = {
-        'schoolfee': 'School Fee',
+        'schoolfee': 'Tuition',
         'clearance': 'Acceptance Fee',
         'late_registration': 'Late Course Registration Fee',
@@ -314,8 +314,8 @@
 
     DISABLE_PAYMENT_GROUP_DICT = {
-        'sf_all': 'School Fee - All Students',
-        'sf_pg': 'School Fee - Postgraduate Students',
-        'sf_ug_pt': 'School Fee - Undergraduate Part-Time Students',
-        'sf_found': 'School Fee - Foundation Students',
+        'sf_all': 'Tuition - All Students',
+        'sf_pg': 'Tuition - Postgraduate Students',
+        'sf_ug_pt': 'Tuition - Undergraduate Part-Time Students',
+        'sf_found': 'Tuition - Foundation Students',
         'maint_all': 'Accommodation Fee - All Students',
         'cl_regular': 'Acceptance Fee - Regular Students',