Index: main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py	(revision 17437)
+++ main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py	(revision 17440)
@@ -38,8 +38,8 @@
 
     PAYMENT_CATEGORIES = {
-        'schoolfee': 'Tuition',
-        'schoolfee_1': 'Tuition Plus (1st instalment)',
-        'schoolfee_2': 'Tuition (2nd instalment)',
-        'schoolfee_incl': 'Tuition Plus',
+        'schoolfee': 'School Fees',
+        'schoolfee_1': 'School Fees Plus (1st instalment)',
+        'schoolfee_2': 'School Fees (2nd instalment)',
+        'schoolfee_incl': 'School Fees Plus',
         'clearance': 'Acceptance Fee',
         'clearance_incl': 'Acceptance Fee Plus',
@@ -87,8 +87,8 @@
 
     SELECTABLE_PAYMENT_CATEGORIES = {
-        'schoolfee': 'Tuition without additional fees',
-        'schoolfee_1': 'Tuition incl. additional fees (1st instalment)',
-        'schoolfee_2': 'Tuition (2nd instalment)',
-        'schoolfee_incl': 'Tuition incl. additional fees',
+        'schoolfee': 'School Fees without additional fees',
+        'schoolfee_1': 'School Fees incl. additional fees (1st instalment)',
+        'schoolfee_2': 'School Fees (2nd instalment)',
+        'schoolfee_incl': 'School Fees incl. additional fees',
         'clearance': 'Acceptance Fee without additional fees',
         'clearance_incl': 'Acceptance Fee incl. additional fees',
@@ -140,5 +140,5 @@
     REDUCED_PAYMENT_CATS =  {
         'clearance': 'Acceptance Fee',
-        'schoolfee': 'Tuition',
+        'schoolfee': 'School Fees',
         ##'late_registration': 'Late Course Registration Fee',
         ##'sports': 'Sports Fee',
@@ -150,7 +150,7 @@
     IJMBE_PAYMENT_CATS =  {
         'clearance': 'Acceptance Fee',
-        'schoolfee': 'Tuition',
-        'schoolfee_1': 'Tuition (1st instalment)',
-        'schoolfee_2': 'Tuition (2nd instalment)',
+        'schoolfee': 'School Fees',
+        'schoolfee_1': 'School Fees (1st instalment)',
+        'schoolfee_2': 'School Fees (2nd instalment)',
         ##'sports': 'Sports Fee',
         ##'library': 'UG Library Fee',
@@ -162,5 +162,5 @@
     PT_AND_DSH_PAYMENT_CATS =  {
         'clearance_incl': 'Acceptance Fee Plus',
-        'schoolfee_incl': 'Tuition Plus',
+        'schoolfee_incl': 'School Fees Plus',
         ##'ent_text_book_1': 'Text Book Fee ENT201',
         ##'ent_text_book_2': 'Text Book Fee ENT211',
@@ -199,8 +199,8 @@
 
     REPORTABLE_PAYMENT_CATEGORIES = {
-        'schoolfee': 'Tuition',
-        'schoolfee_incl': 'Tuition Plus',
-        'schoolfee_1': 'Tuition 1 Plus',
-        'schoolfee_2': 'Tuition 2',
+        'schoolfee': 'School Fees',
+        'schoolfee_incl': 'School Fees Plus',
+        'schoolfee_1': 'School Fees 1 Plus',
+        'schoolfee_2': 'School Fees 2',
         'clearance': 'Acceptance Fee',
         'clearance_incl': 'Acceptance Fee Plus',
@@ -211,5 +211,5 @@
 
     XXXBALANCE_PAYMENT_CATEGORIES = {
-        'schoolfee': 'Tuition',
+        'schoolfee': 'School Fees',
         'clearance': 'Acceptance Fee',
         'hostel_maintenance': 'Hostel Maintenance Fee',
@@ -238,5 +238,5 @@
 
     PREVIOUS_PAYMENT_CATEGORIES = {
-        'schoolfee': 'Tuition',
+        'schoolfee': 'School Fees',
         'clearance': 'Acceptance Fee',
         'late_registration': 'Late Course Registration Fee',
@@ -314,8 +314,8 @@
 
     DISABLE_PAYMENT_GROUP_DICT = {
-        'sf_all': 'Tuition - All Students',
-        'sf_pg': 'Tuition - Postgraduate Students',
-        'sf_ug_pt': 'Tuition - Undergraduate Part-Time Students',
-        'sf_found': 'Tuition - Foundation Students',
+        'sf_all': 'School Fees - All Students',
+        'sf_pg': 'School Fees - Postgraduate Students',
+        'sf_ug_pt': 'School Fees - Undergraduate Part-Time Students',
+        'sf_found': 'School Fees - Foundation Students',
         'maint_all': 'Accommodation Fee - All Students',
         'cl_regular': 'Acceptance Fee - Regular Students',